#ifndef TILEANIMATIONCONFIG_H
#define TILEANIMATIONCONFIG_H

//TileAnimationConfig
#include "TileAnimation.h"
//#include "Node.h"

class TileAnimationConfig //: public Node
{
	private:
		
		
		TileAnimationConfig* next;
		TileAnimationConfig* pre;
	public:
		TileAnimation animeObject;
		//TileAnimation Get_animeObject();
		//gets
		TileAnimationConfig* GetNext( );
		TileAnimationConfig* GetPre( );
		//sets
		void SetNext( TileAnimationConfig* );
		void SetPre( TileAnimationConfig* );
		//constutor
		TileAnimationConfig();
		//destutor
		~TileAnimationConfig();
};


#endif